<?php

namespace FiloBlu\Esb\Api\Data;

/**
 * Interface StatusInterface
 * @package FiloBlu\Esb\Api\Data
 */
interface StatusInterface {

    /**
     * @return string
     */
    public function getCode(): string;

    /**
     * @param $code
     * @return StatusInterface
     */
    public function setCode($code) : StatusInterface;

    /**
     * @return mixed
     */
    public function getInputData();

    /**
     * @param mixed $data
     * @return StatusInterface
     */
    public function setInputData($data): StatusInterface;

    /**
     * @return mixed
     */
    public function getOutputData();

    /**
     * @param mixed $data
     * @return StatusInterface
     */
    public function setOutputData($data): StatusInterface;
}